/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */
package org.jfox.examples.ejb.stateful;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class TestStatefulBean implements SessionBean {
    private String word = "Hello,Stateful SessionBean!";

    public TestStatefulBean() {
    }

    public void setSessionContext(SessionContext sessionContext) throws EJBException {
    }

    public void ejbRemove() throws EJBException {
    }

    public void ejbActivate() throws EJBException {
    }

    public void ejbPassivate() throws EJBException {
    }

    public void ejbCreate() throws CreateException {
    }

    public void ejbCreate(String name) throws CreateException {
        this.word = name;
    }

    public String getName() {
        return word;
    }

    public void setName(String word) {
        this.word = word;
    }
}
